Get Spot Coins Markets
Get spot market data for all supported cryptocurrencies including price, volume, and price changes. Returns current price, buy/sell volume, volume across timeframes (1h to 24h), and market cap. Ideal for: spot market overview, volume analysis, identifying high activity coins, momentum screening.
Catalog action Blockchain Data
Get spot market data for all supported cryptocurrencies including price, volume, and price changes. Returns current price, buy/sell volume, volume across timeframes (1h to 24h), and market cap. Ideal for: spot market overview, volume analysis, identifying high activity coins, momentum screening.
At a Glance
| Field | Value |
|---|---|
| Action ID | coinglass-spot-get-coins-markets |
| Category | Blockchain Data |
| Connector | Not required |
| Requires gas | No |
| Funds movement | None declared |
| Tags | coinglass, spot, market, volume, price, read |
Payload Schema
This action does not declare payload fields.
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
coins | array | Yes | Array of spot coin market data |
Examples
json{ "type": "coinglass-spot-get-coins-markets", "payload": {}, "children": []}
bashcurl -X POST "https://api.b3os.org/v1/actions/coinglass-spot-get-coins-markets/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": {}}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
